Frontend
Add a designation to the checkout
POST
/
frontend
/
checkout
/
designation
/
{client_id}
/
{program_id}
/
{currency}
/
{session_id}
Add a designation to the checkout
curl --request POST \
--url https://api.helpyousponsor.com/v1/frontend/checkout/designation/{client_id}/{program_id}/{currency}/{session_id} \
--header 'Content-Type: application/json' \
--data '
{
"designation": "MASTER",
"designation_amount": 100
}
'import requests
url = "https://api.helpyousponsor.com/v1/frontend/checkout/designation/{client_id}/{program_id}/{currency}/{session_id}"
payload = {
"designation": "MASTER",
"designation_amount": 100
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({designation: 'MASTER', designation_amount: 100})
};
fetch('https://api.helpyousponsor.com/v1/frontend/checkout/designation/{client_id}/{program_id}/{currency}/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Gift of USD 100.00 was added"
}{
"message": "Validation error",
"errors": {
"designation_amount": "The designation amount must be at least 1.00"
}
}Path Parameters
The ID of the client
The ID of the program
The currency of the designation
The ID of the session
Body
application/json
Data for adding a designation
⌘I
Add a designation to the checkout

